Subject: [pim] [Errata Held for Document Update] RFC4601 (4027)

From: RFC Errata System <[email-masked]>
Date: Tue, 1 Jul 2014 11:08:21 -0700 (PDT)

The following errata report has been held for document update 
for RFC4601, "Protocol Independent Multicast - Sparse Mode (PIM-SM): Protocol Specification (Revised)". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4601&eid=4027

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Ramakrishna DTV <[email-masked]>
Date Reported: 2014-06-26
Held by: Alia Atlas (IESG)

Section: 4.8.2

Original Text
-------------
     if( iif == RPF_interface(S) AND UpstreamJPState(S,G) == Joined ) {
         oiflist = inherited_olist(S,G)
     } else if( iif is in inherited_olist(S,G) ) {
         send Assert(S,G) on iif
     }

     oiflist = oiflist (-) iif
     forward packet on all interfaces in oiflist

Corrected Text
--------------
     oiflist = NULL

     if( iif == RPF_interface(S) AND UpstreamJPState(S,G) == Joined ) {
         oiflist = inherited_olist(S,G)
     } else if( iif is in inherited_olist(S,G) ) {
         send Assert(S,G) on iif
     }

     oiflist = oiflist (-) iif
     forward packet on all interfaces in oiflist

Notes
-----
The followng line is missing:

    oiflist = NULL

Without this, it may lead to accessing uninitialized variable
oiflist. This line is present in Section 4.2 from which the simplified
SSM specific pseudo code is derived.

--------------------------------------
RFC4601 (draft-ietf-pim-sm-v2-new-12)
--------------------------------------
Title               : Protocol Independent Multicast - Sparse Mode (PIM-SM): Protocol Specification (Revised)
Publication Date    : August 2006
Author(s)           : B. Fenner, M. Handley, H. Holbrook, I. Kouvelas
Category            : PROPOSED STANDARD
Source              : Protocol Independent Multicast
Area                : Routing
Stream              : IETF
Verifying Party     : IESG